Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal.encryption
Class EncryptionOutputStream

    java.lang.Object
      java.io.OutputStream
          org.jboss.remoting.marshal.encryption.EncryptionOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class EncryptionOutputStream

extends java.io.OutputStream

OutputStream that is piped into a CipherOutputStream such that CipherOutputStream.close will not close the underlying stream

Since:
  Aug 16, 2006
Version:
  $Revision: 1368 $
Author:
  Anil Saldhana

Constructor Summary
`EncryptionOutputStream(java.io.OutputStream os)`

Method Summary
`void` | `close()`
`boolean` | `equals(java.lang.Object obj)`
`void` | `flush()`
`int` | `hashCode()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int a)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptionOutputStream

    public EncryptionOutputStream(java.io.OutputStream os)

Method Detail

### write

    public void write(int a)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.write(int)`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.close()`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.flush()`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.write(byte[], int, int)`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`
  See Also:
    `OutputStream.write(byte[])`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.